Package org.snpeff.snpEffect.factory

# Class SnpEffPredictorFactoryGenBank

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryFeatures
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGenBank

public class SnpEffPredictorFactoryGenBank extends SnpEffPredictorFactoryFeatures
This class creates a SnpEffectPredictor from a GenBank file.

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_GENBANK`

### Fields inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactoryFeatures

`OFFSET`

### Fields inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryGenBank(Config config)`
`SnpEffPredictorFactoryGenBank(Config config, String fileName)`

## Method Summary

### Methods inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactoryFeatures

`addFeatures, create, geneId, geneName, getProteinByTrId`

### Methods inherited from class org.snpeff.snpEffect.factory.SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, parsePosition, readExonSequences, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXTENSION_GENBANK

public static final String EXTENSION_GENBANK

See Also:
  - Constant Field Values

## Constructor Details

### SnpEffPredictorFactoryGenBank

public SnpEffPredictorFactoryGenBank(Config config)

### SnpEffPredictorFactoryGenBank

public SnpEffPredictorFactoryGenBank(Config config, String fileName)